# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.blueprint_read import BlueprintRead

class TestBlueprintRead(unittest.TestCase):
    """BlueprintRead unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> BlueprintRead:
        """Test BlueprintRead
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `BlueprintRead`
        """
        model = BlueprintRead()
        if include_optional:
            return BlueprintRead(
                id = 'e',
                title = '0',
                description = '',
                icon = '',
                schema_properties = {
                    'key' : null
                    },
                reference_properties = {
                    'key' : {
                        'key' : null
                        }
                    },
                calculation_properties = {
                    'key' : {
                        'key' : null
                        }
                    },
                relations = {
                    'key' : {
                        'key' : null
                        }
                    },
                options = {
                    'key' : null
                    },
                is_active = True,
                is_hideable = True,
                created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                created_by = 56,
                updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                updated_by = 56,
                user_editable = True,
                user_deletable = True
            )
        else:
            return BlueprintRead(
                id = 'e',
                title = '0',
                user_editable = True,
                user_deletable = True,
        )
        """

    def testBlueprintRead(self):
        """Test BlueprintRead"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
